%{?mingw_package_header}

# Only build the 32 bit package.
%global mingw_build_win32 1
%global mingw_build_win64 0

Name:		mingw-srvany
Version:	1.1
Release:	%mkrel 1
Summary:	Utility for creating services for Windows
Group:		Development/Other

License:	GPLv2+
BuildArch:	noarch

URL:		https://github.com/rwmjones/rhsrvany
Source0:        https://github.com/rwmjones/rhsrvany/archive/refs/tags/v%{version}.tar.gz#/rhsrvany-%{version}.tar.gz
Source1:	COPYING

# Needed because we build from the git version, using autoreconf.
BuildRequires:  make
BuildRequires:	automake 
BuildRequires:	autoconf 
BuildRequires:	libtool

BuildRequires:	mingw32-filesystem
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
# Prevent iurt to schedule it on arm-noarch:
ExclusiveArch: %{ix86} x86_64


%description
Utility for creating a service from any MinGW Windows binary


%package -n mingw32-srvany
Summary:	Utility for creating services for Windows
Group:		Development/Other


%description -n mingw32-srvany
Utility for creating a service from any MinGW Windows binary


%{?mingw_debug_package}


%prep
%setup -q -n rhsrvany-%{version}
cp %{SOURCE1} .


%build
autoreconf -i
%{mingw32_configure}
%make_build


%install
make DESTDIR=$RPM_BUILD_ROOT install


%files -n mingw32-srvany
%doc COPYING
%{mingw32_bindir}/rhsrvany.exe
%{mingw32_bindir}/pnp_wait.exe




%changelog
* Tue Aug 02 2022 tv <tv> 1.1-1.mga9
+ Revision: 1874570
- 1.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0-15.mga8
+ Revision: 1492097
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0-14.mga7
+ Revision: 1264442
- Mageia 7 Mass Rebuild

* Mon May 02 2016 tv <tv> 1.0-13.mga6
+ Revision: 1008717
- rebuild with new toolchain' deps

* Tue Apr 26 2016 tv <tv> 1.0-1.mga6
+ Revision: 1006679
- prevent iurt to schedule it on arm-noarch
- imported package mingw-srvany

